# Insert Goods Receipt Endpoint: POST /enrichment/goods-receipts Version: 2.51.0 Security: OAuth2 ## Request fields (application/json): - `externalId` (string, required) External id of the goods receipt that is globally unique across the provided goods receipt data Example: "GOODS_RECEIPT-0001" - `externalClientId` (string) Identifier of the client entity in the source system which can be used to separate data Example: "EXTERNAL_CLIENT_ID" - `documentId` (string) Document id that was assigned during upload to Hypatos Example: "63cac12c37bb02accb396cbf" - `documents` (array) - `documents.id` (string) Document id that was assigned during upload to Hypatos Example: "63cac12c37bb02accb396cae" - `documents.type` (string) Document type that was assigned during upload to Hypatos Example: "invoice" - `goodsReceiptNumber` (string) Goods receipt number provided in the source system Example: "GR123456789" - `externalCompanyId` (string) External unique id of the company in the source system Example: "DE01" - `externalSupplierId` (string) External unique id of the supplier in the source system Example: "0000100000" - `fiscalYearLabel` (string) Label used in the source system for the fiscal year that the goods receipt was posted in Example: "2023" - `issuedDate` (string) Date when the good receipt document was issued Example: "2024-12-31" - `createdDate` (string) Date when the goods receipt was created in the source system Example: "2025-06-30" - `postingDate` (string) Date when the goods receipt was posted Example: "2025-06-30" - `headerText` (string) Header text describing the goods receipt Example: "doc header text" - `status` (string) Status of the goods receipt as defined in the source system Example: "POSTED" - `deliveryNoteNumber` (string) Delivery note number associated with the goods receipt Example: "DN789456123" - `isReversal` (boolean) Indicator if the goods receipt is a reversal - `customFields` (object) List of key value pairs containing custom fields from the source system - `customMetadata` (object) Any nested structure with metadata that source system needs to send Example: {"someTopLevelProperty":"value1","someNestedProperty":{"nestedProperty":"value2"},"someArrayProperty":["value3","value4"]} - `goodsReceiptLines` (array, required) - `goodsReceiptLines.goodsReceiptLineNumber` (string) Number of the goods receipt line (unique within the purchase order) Example: "GRLINE-0001" - `goodsReceiptLines.externalCompanyId` (string) Company ID associated with the line item. Example: "DE01" - `goodsReceiptLines.externalPurchaseOrderId` (string) ID of the related purchase order. Example: "4500016221" - `goodsReceiptLines.purchaseOrderLineNumber` (string) Line number of the purchase order being received. Example: "00010" - `goodsReceiptLines.type` (string) Type of item received (e.g., Material, Service). Example: "Service" - `goodsReceiptLines.quantity` (number) Quantity of items received. Example: 2 - `goodsReceiptLines.unitOfMeasure` (string) Unit of measure for the quantity. Example: "kg" - `goodsReceiptLines.itemText` (string) Descriptive text for the line item. Example: "Dell Laptop Latitude D630" - `goodsReceiptLines.status` (string) Status of goods receipt line as defined in source system (e.g. “invoiced” or “open”) Example: "invoiced" - `goodsReceiptLines.material` (object) - `goodsReceiptLines.material.externalId` (string) External id of the material that is globally unique across the provided material data Example: "2a6300181f08402e710ea3f180214bc1" - `goodsReceiptLines.material.supplierNumber` (string) Number of the material as defined by the supplier Example: "123456789" - `goodsReceiptLines.material.type` (string) Type of the material as defined in the material master of the company Example: "Operating Supplies" - `goodsReceiptLines.material.group` (string) Group of the material as defined in the material master of the company Example: "Electronics" - `goodsReceiptLines.material.description` (string) Description of the material Example: "Dell Laptop Latitude D630" - `goodsReceiptLines.material.manufacturer` (string) Name of the manufacturer of the material Example: "Acme Corporation" - `goodsReceiptLines.material.manufacturerNumber` (string) Number of the material as defined by the manufacturer Example: "ACME-12345" - `goodsReceiptLines.material.unspsc` (string) United Nations Standard Products and Services Code of the material Example: "43211508" - `goodsReceiptLines.plant` (string) Receiving plant or location. Example: "PLANT-001" ## Response 200 fields (application/json): - `id` (string, required) Example: "3a429dc8-56d4-42ef-a4cf-2ebc9ad1ef38" ## Response 422 fields (application/json): - `detail` (array) - `detail.loc` (array, required) - `detail.msg` (string, required) - `detail.type` (string, required) ## Response 429 fields